aspose file tools*
The moose likes Developer Certification (SCJD/OCMJD) and the fly likes SCJD 1.5 or 1.6? Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Certification » Developer Certification (SCJD/OCMJD)
Bookmark "SCJD 1.5 or 1.6?" Watch "SCJD 1.5 or 1.6?" New topic
Author

SCJD 1.5 or 1.6?

D Preethi
Ranch Hand

Joined: May 24, 2008
Posts: 68
Hi All,

I recently finished my SCJP 1.6 exam and am now looking at the next certification I can go for. I saw that the current available version for SCJD is 1.5. Since 1.5 version is pretty old, I was wondering if SCJD 1.5 is going to be around for some more time( since i might take a considerable amount of time for preparation). Also, since SCJD exam basically tests design skills, would the version of the exam matter a lot? Or, should I wait for some more time and get the 1.6 voucher? Any idea as to when SCJD 1.6 would be out ?


Thanks in advance!
K. Tsang
Bartender

Joined: Sep 13, 2007
Posts: 2532
    
    8

To my understanding SCJD doesn't have version like SCJP. In fact saying SCJD 1.5 or 1.6 would be wrong I think cos SCJD (according to the exam code) has been out since Java 1.2 or just 2. If you haven't registered for the assignment, when you download, it will have a dropdown menu saying "Java 1.1" or "Java 2" (same as 1.2). So 1.3, 1.4, 1.5, or 1.6 version of SCJD doesn't make sense.

So Sun recently put a limit of 1 year to do the assignment since Feb09. So if you are confident with say Swing, sockers/RMI, threading then do some practice before signing up for the assignment.


K. Tsang JavaRanch SCJP5 SCJD/OCM-JD OCPJP7 OCPWCD5 OCPBCD5
Kevin Florish
Ranch Hand

Joined: Jan 06, 2009
Posts: 176
As K mentions there are 2 possible assignment downloads available for SCJD - 1.1 and 2.

You need to download the 2 version which originally was for Java 1.2 (2) but is also used for all versions since then.

The only requirement is that the version of Java you use is a production version no later than 18 months old when the asignment is submitted. Therefore at the time of this post only later version of 1.5 (5) and all versions of 1.6 (6) are valid for the SCJD.

Cheers Kevin.


Java5 Tutorials | Java6 Tutorials | HTML/CSS Tutorials | JavaScript and jQuery Tutorials
 
It is sorta covered in the JavaRanch Style Guide.
 
subject: SCJD 1.5 or 1.6?